Bug 916604 - Left dock toolbox shrinks horizontally when attached panel to another column
Summary: Left dock toolbox shrinks horizontally when attached panel to another column
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gimp
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: beta
: 7.0
Assignee: Josef Ridky
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On: 1031106
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-28 13:06 UTC by Martin Simon
Modified: 2019-03-25 07:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1031106 (view as bug list)
Environment:
Last Closed: 2019-03-25 07:47:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
GNOME Bugzilla 724130 0 None None None 2019-03-25 07:44:56 UTC

Description Martin Simon 2013-02-28 13:06:52 UTC
Description of problem:
The Gimp 2.8 has a new feature to attach the toolbar into several columns. When I attached Tool option panel (in default under the Toolbox) to the right side of the Toolbox (the toolbox and tool options are now horizontally, not vertically as before), the toolbox shrinks into one column of tool icons and expand horizontally behind the monitor borders. It's especially annoying in single window mode, when in does not permit the fullsreen mode.

Version-Release number of selected component (if applicable):
gimp-2.8.2-6.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Start gimp
2. Enable single-window mode (Windows -> Single-Window mode)
3. Drag&drop the Tool options (by default under the Toolbox) from its original position right side of the Toolbox
4. Try to maximize of F11 to fullscreen

Actual results:
The Toolbox shrinks and you are unable to resize the gimp vertically. The fullscreen does not work at all and behaves weird

Expected results:
The gimp should now the maximal height of the monitor and if the shrunk toolbox does fit the height, it should expand a bit to the width.

Additional info:

Comment 1 Nils Philippsen 2013-11-15 15:43:32 UTC
The reason for this is that moving the tool options dockable to the right "squeezes" the toolbox so it's only one column wide, but very tall (too tall for most displays), which results in e.g. GNOME Shell refusing to "maximize" the window, i.e. fit it into the current display, which it can't because the window is already taller than the display.

Here's a workaround: After step 3, there's a handle to the right side of the tool options dockable. Drag it to the right, creating some space for the toolbar so it can use additional columns. Then you should be able to reduce the window height, or maximize it.

I'll clone this for Fedora, and raise this with upstream -- I'm not familiar with the UI layout code and can't estimate how much effort it would be to fix this.

Comment 6 Josef Ridky 2019-02-11 12:44:42 UTC
No update from upstream yet and I suppose, they will not fix it till RHEL-7 EOL. Workaround is available.

I suggest to close this as WOTNFIX.

@tpelka what do you think?

Comment 7 Tomas Pelka 2019-02-11 13:33:58 UTC
(In reply to Josef Ridky from comment #6)
> No update from upstream yet and I suppose, they will not fix it till RHEL-7
> EOL. Workaround is available.
> 
> I suggest to close this as WOTNFIX.
> 
> @tpelka what do you think?

No objections.

Thanks


Note You need to log in before you can comment on or make changes to this bug.